> ## Documentation Index
> Fetch the complete documentation index at: https://developers.podero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get EV data



## OpenAPI

````yaml https://app.podero.com/api/partners/v2.0/openapi.json get /api/partners/v2.0/org/{org_id}/users/{user_id}/electric-vehicles/{electric_vehicle_id}/data
openapi: 3.1.0
info:
  title: Podero Partner API
  version: '2.0'
  description: >-
    This API provides a unified interaction point for Podero's partner
    companies.


    The goal of this API is to give partners easily integratable endpoints that
    don't require extensive software

    development. For this reason, the endpoints focus around user and device
    management, setting of preferences

    and high level device controls.


    While direct control of devices is implemented for special use cases such as
    pause power, we abstract away low level

    direct device steering so developers and partners can focus on delivering
    maximum value to end users.
  termsOfService: https://www.podero.com/terms-and-conditions
servers: []
security: []
paths:
  /api/partners/v2.0/org/{org_id}/users/{user_id}/electric-vehicles/{electric_vehicle_id}/data:
    get:
      tags:
        - User Electric Vehicles
      summary: Get EV data
      operationId: >-
        integrations_api_api_v2_organizations_users_electric_vehicles_router_get_electric_vehicle_device_data
      parameters:
        - in: path
          name: org_id
          schema:
            description: The organization ID of the user's organization
            format: uuid
            title: Org Id
            type: string
          required: true
          description: The organization ID of the user's organization
        - in: path
          name: user_id
          schema:
            description: The user ID of the user whom the EV belongs to
            format: uuid
            title: User Id
            type: string
          required: true
          description: The user ID of the user whom the EV belongs to
        - in: path
          name: electric_vehicle_id
          schema:
            description: The ID of the specified EV
            format: uuid
            title: Electric Vehicle Id
            type: string
          required: true
          description: The ID of the specified EV
        - in: query
          name: from_datetime
          schema:
            description: The start of the time range for the data
            format: date-time
            title: From Datetime
            type: string
          required: false
          description: The start of the time range for the data
        - in: query
          name: to_datetime
          schema:
            description: The end of the time range for the data
            format: date-time
            title: To Datetime
            type: string
          required: false
          description: The end of the time range for the data
        - in: query
          name: resolution
          schema:
            default: 15MIN
            description: >-
              The time interval for aggregating data. Supported values: 15MIN,
              1HOUR, 1DAY, 1WEEK, 1MONTH
            title: Resolution
            type: string
          required: false
          description: >-
            The time interval for aggregating data. Supported values: 15MIN,
            1HOUR, 1DAY, 1WEEK, 1MONTH
        - in: query
          name: keywords
          schema:
            description: >-
              A comma-separated list of keywords. Supported values: price,
              battery_level, is_charging, is_plugged_in,
              is_at_optimized_location, estimated_consumption,
              unoptimized_consumption
            title: Keywords
            type: string
          required: false
          description: >-
            A comma-separated list of keywords. Supported values: price,
            battery_level, is_charging, is_plugged_in, is_at_optimized_location,
            estimated_consumption, unoptimized_consumption
        - in: query
          name: include_deleted
          schema:
            default: false
            description: If true, includes soft-deleted
            title: Include Deleted
            type: boolean
          required: false
          description: If true, includes soft-deleted
        - in: header
          name: fill-missing
          schema:
            default: false
            description: >-
              When set to true, the API will return the full requested time
              range,
                      filling missing values with null. If no data is available at all, an empty dataset
                      with null values at from_datetime will be returned instead no values at all
            title: Fill-Missing
            type: boolean
          required: false
          description: |-
            When set to true, the API will return the full requested time range,
                    filling missing values with null. If no data is available at all, an empty dataset
                    with null values at from_datetime will be returned instead no values at all
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ElectricVehicleDataOutput'
      security:
        - OAuth2: []
components:
  schemas:
    ElectricVehicleDataOutput:
      properties:
        metadata:
          additionalProperties: true
          title: Metadata
          type: object
        data:
          items:
            $ref: '#/components/schemas/ElectricVehicleDataPointOutput'
          title: Data
          type: array
      required:
        - metadata
        - data
      title: ElectricVehicleDataOutput
      type: object
    ElectricVehicleDataPointOutput:
      properties:
        time:
          anyOf:
            - type: string
            - type: 'null'
          title: Time
        price:
          anyOf:
            - type: number
            - type: 'null'
          title: Price
        battery_level:
          anyOf:
            - type: number
            - type: 'null'
          title: Battery Level
        is_charging:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Charging
        is_plugged_in:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Plugged In
        is_at_optimized_location:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is At Optimized Location
        estimated_consumption:
          anyOf:
            - type: number
            - type: 'null'
          title: Estimated Consumption
        unoptimized_consumption:
          anyOf:
            - type: number
            - type: 'null'
          title: Unoptimized Consumption
      title: ElectricVehicleDataPointOutput
      type: object
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        password:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}
        clientCredentials:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}

````